gsw_entropy_first_derivatives {gsw} | R Documentation

## First Derivatives of Entropy

### Description

First Derivatives of Entropy

### Usage

    gsw_entropy_first_derivatives(SA, CT)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

a list containing `eta_SA` [ (J/(kg*degC) / (g/kg) ], the derivative of entropy wrt Absolute Salinity, and `eta_CT` [ (J/(kg*degC^2) ], the derivative of entropy wrt Conservative Temperature.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_entropy_first_derivatives.html

### See Also

Other things related to entropy: `gsw_CT_from_entropy`, `gsw_entropy_from_pt`, `gsw_entropy_from_t`, `gsw_entropy_ice`, `gsw_pt_from_entropy`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    d <- gsw_entropy_first_derivatives(SA, CT)
    expect_equal(d$eta_SA, c(-0.263286800711655, -0.263977276574528, -0.255367497912925,
                           -0.238066586439561, -0.234438260606436, -0.232820684341694))
    expect_equal(d$eta_CT, c(13.221031210083824, 13.236911191313675, 13.489004628681361,
                           14.086599016583795, 14.257729576432077, 14.386429945649411))

[Package gsw version 1.0-5 Index]